#include <bits/stdc++.h>

using namespace std;

int main()
{
    string rec;
    string cenzura;
    cin>>rec>>cenzura;
    set<int> s;
    for(int i=0;i<cenzura.size()-1;i++) s.insert(cenzura[i]);
    int a[s.size()];
    for(int i=0;i<cenzura.size()-1;i++)
    {
        a[i]=0;
        for(int j=0;j<rec.size()-1;j++) 
        {
            if()
        }
    }
    


    return 0;
}